<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTAENTRADAS#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboEstados=array();
$comboClientes=array();
	
foreach($resultado as $item) {

	if(!in_array($item['Estado'],$comboEstados) && $item['Estado']!='') $comboEstados[]=$item['Estado'];
	if(!in_array($item['NombreClientePropietario'],$comboClientes) && $item['NombreClientePropietario']!='') $comboClientes[]=$item['NombreClientePropietario'];
		
}

asort($comboClientes);

if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	?>
    
    <p class="sinMargen">Código Entrada:
        <div class="campoOrdenPreparacionBloque" style="margin:0 auto">
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCodigoEntrada" /><input name="codigoEntrada" type="text" class="campo campoOrdenPreparacion" id="codigoEntrada" maxlength="14" style="left:5px;"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCodigoEntrada" style="position:absolute;right:5px;cursor:pointer;"/>
        </div>
    </p>
    
	<table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
		<?php if(is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
		<th>Nº Entrada</th>
		<th>Fecha</th>
		<th>Expedidor</th>
		<?php if($_SESSION['gestion']!='PRI') { ?><th>Propietario</th><?php } ?>
		<th>Estado</th>
	    <th>Productos</th>
	    <th>Pendientes</th>
      </tr>
	<?php
	
	foreach($resultado as $entrada) {
	
		$estilo="";
		if($entrada['Estado']=='Iniciada') $estilo.=" fondoVerde verde";
			
		?>
		<tr entrada="<?php echo $entrada['NumEntrada']; ?>" empresa="<?php echo $entrada['Empresa']; ?>" class="lineaOrden clicable mostrarCargando <?php echo $estilo; ?>" style="height:75px" estado="<?php echo $entrada['Estado']; ?>" cliente="<?php echo $entrada['NombreClientePropietario']; ?>" >
			<?php if(is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?><td><?php echo $entrada['Empresa']; ?></td><?php } ?>
			<td><?php echo $entrada['NumEntrada']; ?></td>
		    <td><?php echo fechaNacional(fechaDesdeProxium($entrada['FechaEntrada'])); ?></td>
			<td><?php echo $entrada['Expedidor']; ?></td>
			<?php if($_SESSION['gestion']!='PRI') { ?><td><?php echo $entrada['NombreClientePropietario']; ?></td><?php } ?>
            <td><?php echo $entrada['Estado']; ?></td>
			<td><?php echo $entrada['Productos']; ?></td>
		    <td><?php echo $entrada['Pendientes']; ?></td>
      </tr>
	
	<?php } ?>
    </table>
    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Estado:<br />
                <select name="filtroEstado" id="filtroEstado" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboEstados as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Cliente:<br /> 
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroEstado').val()=='' && $('#filtroCliente').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaEstado=false;
				var coincidenciaCliente=false;
			
				if( $('#filtroEstado').val()!='' && $(this).attr('estado')==$('#filtroEstado').val() ) coincidenciaEstado=true;
				else if( $('#filtroEstado').val()=='' ) coincidenciaEstado=true;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( coincidenciaEstado && coincidenciaCliente ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
	
		$(document).ready(function() {
			
			$('.lineaOrden').on("click",function(){
				$('#popupCargando').show();
				window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada.php?entrada='+$(this).attr('entrada')+'&empresa='+$(this).attr('empresa');	
			});
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroEstado option:selected').removeProp('selected');
				$('#filtroCliente option:selected').removeProp('selected');
				
				$('#filtroEstado option[value=""]').prop('selected',true);
				$('#filtroCliente option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
			
			$(document).on('change','#codigoEntrada',function(){
		
				$('#popupCargando').show();
				
				var codigoEntrada=$('#codigoEntrada').val();
				var codigoEmpresa;
				var encontrada=false;
				
				$('.lineaOrden').each(function() {
					if($(this).attr('entrada')==codigoEntrada) {
						encontrada=true;
						codigoEmpresa=$(this).attr('empresa');
					}
				});
				
				
				if(encontrada) {
					window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada.php?entrada='+codigoEntrada+'&empresa='+codigoEmpresa;
				}
				else {
					$('#popupCargando').hide();
					alert('Error: Entrada no encontrada.').done(function(){
						$("#codigoEntrada").val('');
						$("#codigoEntrada").focus();
					});
				}
				
			});
					
			$(document).on('click','#tecladoCodigoEntrada',function(){
				$('#teclado').show();
				$('#valor').val( $('#codigoEntrada').val() );
				$('#valorOculto').val( $('#codigoEntrada').val() );
				$('#enter').attr('campoValor','codigoEntrada');
				$('#enter').attr('forzarEnter','si');	
			});
					
			$(document).on('click','#borrarCodigoEntrada',function(){
				$("#codigoEntrada").val('');
				$("#codigoEntrada").focus();		
			});
			
			$('#codigoEntrada').focus();
			
		});
	
	</script>
    
	<?php
}
else {
	?>
	<p>No hay ninguna Entrada de Mercancía pendiente de Trazabilidad.</p><?php
}
?>